Summary:	FruityLoops clone for linux
Name:		lmms
Version:	0.3.1
Release:	%mkrel 3
Group:		Sound
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	x-lmms-project.desktop
Patch0:		lmms-0.3.0-fix-desktop.patch
Patch1:		lmms-0.3.1-lib64-plugins.patch
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
BuildRequires:	kdelibs-devel >= 3.2
BuildRequires:	libSDL-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	SDL_sound-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LMMS aims to be a free alternative to popular 
(but commercial and closed- source) 
programs like FruityLoops, Cubase and Logic giving 
you the ability of producing 
music with your computer by creating/synthesizing sounds, 
arranging samples, 
playing live with keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program 
(pattern-/channel-/ sample-/song-/effect-management) 
and those of powerful synthesizers and samplers in a modern, 
user-friendly and easy to use graphical user-interface

%prep
%setup -q
%patch0 -p0 -b .desktop

%ifnarch ix86
%patch1 -p1 -b .plugins
%endif

%build
perl -pi -e 's/\$QTDIR\/lib/\$QTDIR\/%{_lib}/' configure
%configure2_5x --without-singerbot --without-vst 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/mimelnk/application/x-lmms-project.desktop

install -m644 %{SOURCE10} -D %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

%post
%{update_menus}
%{update_mime_database}
%update_icons_cache hicolor

%postun
%{clean_menus}
%{clean_mime_database}
%clean_icons_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/*.desktop


%changelog
* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-3mdv2008.0
+ Revision: 175125
- fix bug #37629

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix spacing at top of description

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 137843
- drop redundant buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- fix wrong plugin path on x86_64 arch (bug #31038)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 111080
- new version
- new license policy
- do not package COPYING file, add AUTHORS instead

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 79715
- Reuse qtmagic for configure :(
- add mime type for KDE
- add missing files
- build without vts
- New version 0.3.0
- fix desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - replace %%_datadir/man by %%_mandir!


* Sat Aug 26 2006 Couriousous <couriousous@mandriva.org> 0.2.1-2mdv2007.0
- Fix menu

* Fri Aug 25 2006 Couriousous <couriousous@mandriva.org> 0.2.1-1mdv2007.0
- 0.2.1
- XDG

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.1.1-1mdk
- 0.1.1
- fix x86_64 build

* Thu Jul 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc2mdk
-Fix BuildRequires

* Sun Jul 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc1mdk
- First Mandriva Linux release

